GNU bug report logs - #51648
28.0.60; `tab-bar-close-button' and `tab-bar-new-button' should be documented in the manual

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Po Lu <luangruo@HIDDEN>; merged with #51309; dated Sun, 7 Nov 2021 03:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 27 Jan 2022 18:47:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 27 13:47:22 2022
Received: from localhost ([127.0.0.1]:56574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nD9nm-0004As-Ne
	for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 13:47:22 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:35749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nD9nl-00044J-Dp
 for 51648 <at> debbugs.gnu.org; Thu, 27 Jan 2022 13:47:21 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 954AD4000B;
 Thu, 27 Jan 2022 18:47:13 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
Organization: LINKOV.NET
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
 <835yt3962f.fsf@HIDDEN> <864k8nrf5l.fsf@HIDDEN>
 <831r3r95bs.fsf@HIDDEN>
Date: Thu, 27 Jan 2022 20:45:59 +0200
In-Reply-To: <831r3r95bs.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 07 Nov
 2021 20:41:11 +0200")
Message-ID: <86pmod5860.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51648
Cc: luangruo@HIDDEN, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Well, the request was to allow customization of the image on the tabs,
> so maybe have just the image(s) customizable?

I noticed that in addition that the button for tab-bar-format-menu-bar
is not customizable, it also has a bug:

  `((menu-bar menu-item (propertize "Menu" 'face 'tab-bar-tab-inactive)
     tab-bar-menu-bar :help "Menu Bar")))
 
i.e. the part with (propertize "Menu" 'face 'tab-bar-tab-inactive)
is inside the quoted list, but it should be unquoted with `,'.

If it's ok to leave this bug in the release branch,
then maybe this patch should be applied only to master?

diff --git a/lisp/tab-bar.el b/lisp/tab-bar.el
index d49fc2efea..4c95438bae 100644
--- a/lisp/tab-bar.el
+++ b/lisp/tab-bar.el
@@ -751,9 +751,13 @@ tab-bar-menu-bar
                 (menu-bar-keymap))
     (popup-menu menu event)))
 
+(defvar tab-bar-menu-bar-button
+  (propertize "Menu" 'face 'tab-bar-tab-inactive)
+  "Button for the menu bar.")
+
 (defun tab-bar-format-menu-bar ()
   "Produce the Menu button for the tab bar that shows the menu bar."
-  `((menu-bar menu-item (propertize "Menu" 'face 'tab-bar-tab-inactive)
+  `((menu-bar menu-item ,tab-bar-menu-bar-button
      tab-bar-menu-bar :help "Menu Bar")))
 
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.
Forcibly Merged 51309 51648. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 8 Nov 2021 17:46:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 12:46:36 2021
Received: from localhost ([127.0.0.1]:59348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mk8j5-0006Av-Sh
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 12:46:36 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:50197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1mk8j3-00064T-9i; Mon, 08 Nov 2021 12:46:33 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id DB67540004;
 Mon,  8 Nov 2021 17:46:25 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
Organization: LINKOV.NET
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
 <835yt3962f.fsf@HIDDEN> <864k8nrf5l.fsf@HIDDEN>
 <831r3r95bs.fsf@HIDDEN> <86r1brpwh3.fsf@HIDDEN>
 <871r3rtrkr.fsf@HIDDEN>
Date: Mon, 08 Nov 2021 19:46:01 +0200
In-Reply-To: <871r3rtrkr.fsf@HIDDEN> (Po Lu's message of "Mon, 08 Nov 2021
 08:32:36 +0800")
Message-ID: <861r3qzgkm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51648
Cc: Eli Zaretskii <eliz@HIDDEN>, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

forcemerge 51309 51648
thanks

> People generally want to customize the image, and perhaps the scale of
> that image.
>
> But I see no harm in letting people customize the whole string, if he
> wants to.

Please see also bug#51309.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 8 Nov 2021 09:04:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 04:04:34 2021
Received: from localhost ([127.0.0.1]:56237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mk0Zt-0003tm-Vn
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 04:04:34 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:48031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mk0Zs-0003tY-ML
 for 51648 <at> debbugs.gnu.org; Mon, 08 Nov 2021 04:04:33 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id 07DADFF80F;
 Mon,  8 Nov 2021 09:04:24 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
Organization: LINKOV.NET
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
 <835yt3962f.fsf@HIDDEN> <864k8nrf5l.fsf@HIDDEN>
 <831r3r95bs.fsf@HIDDEN> <86r1brpwh3.fsf@HIDDEN>
 <871r3rtrkr.fsf@HIDDEN>
Date: Mon, 08 Nov 2021 11:02:19 +0200
In-Reply-To: <871r3rtrkr.fsf@HIDDEN> (Po Lu's message of "Mon, 08 Nov 2021
 08:32:36 +0800")
Message-ID: <86r1br2f6s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51648
Cc: Eli Zaretskii <eliz@HIDDEN>, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> People generally want to customize the image, and perhaps the scale of
> that image.
>
> But I see no harm in letting people customize the whole string, if he
> wants to.

I can't imagine how Customization UI could support customization of
such strings with text properties and images on them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 8 Nov 2021 00:32:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 19:32:54 2021
Received: from localhost ([127.0.0.1]:55310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjsak-0006qh-LL
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 19:32:54 -0500
Received: from sonic307-10.consmr.mail.ne1.yahoo.com ([66.163.190.33]:43989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mjsah-0006lU-FY
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 19:32:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636331565; bh=ZqTeqfzN1o0r7bT3EGHmxDTku09OfkLwQVKePSzQv2I=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=jMRUeNIG6Yc+U+1wWSbozOKlRAqcY1ychrVx4ihUZeXZe5VRrEZL9+Rn51hAvTNt1vDT6WkFPqW1GPNHR4rYEf/QtdMA5Kk2U0YCYOvdGPpJAlxe/pfHqizOW12a09jmu8bcygSEw9tMPeIgDKCx360J4UvHRk39byurVUF/ospAFQveoCj94xoWrpO0Wd8rY/tsejACmACScHYHyn0vH1qW762dbg1sO8vqQKazhEFXhp7PXtUkvtwua1yjT91LrL89E/17JSanBLWSI8FgVRstdet9oC769E/Vp+50njqTs+OvD5hNN5It/9qeisRjS4QMc7/STu08urxZycCnng==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636331565; bh=/yuT+/Ub4qGkRxRXVVGQlnnYoGmd+BBJWfNJAtUDqSF=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=VsIF7kB/TkmdOXfsthcYDCFHbzcxdd+pDPIGfwvMRNddak6nYs6+8Fy+SXDOjXhdllcBgH9ksyjakuP3CTsajxbvfIWuKc+eheN7OwoP+OIxQPqqeen0zcsNF2w/2CaNuPP+WRHbECp8ZiMOBwa0x9vZGwmwWOT5Gu/T0AnTpVSBPbZWlxX8uXZW21U5kczHJoAFM0BTFzpYPjyw6SkS6AHJASXz+zEVpShmRk+mK3kKtemz5hZicN9Wo1po6mEdp2hnOQuzoSLW5LrvAhYWfsVco7tQDe0MtlSA0/tg47T1v8RS7uzHPpBJ4E4kDQ+7sv/e1nEyWTbsCYXQir9mTw==
X-YMail-OSG: c_xLsywVM1kAxMwx6loobmDLkUzgghaxPdFTG8V60TyaGzHmWMAITogSKP_BNuh
 jU2bPo59EN_ha2puzB8aUk7Q_X7b5FCV8PzqURhUk06fX.d5Y4h81OCsFZFAIIIslegNYjGaMYMT
 b_yC289VYm51knDayURTA364DU94CM4iDg5ToAXzYp84a1vWjp_3OZHQ31DZjOF9mEr28rSab_gk
 UNiixUKBAt1NpE.Efc.66tyCx8JCs8v6w7yPaQgTTkLy8TjNPKXWMf5zu5IvE09JZ0EhR1qhiYBC
 numD1aOcvQn5I7IABJKW9Wv2qN3psY2uUTsYqcLHohjQw.WtehYUdTfEuqmr6y4wzOMoqYhj0nFP
 e.pVK9w4Pab6RlHCczlTFucRF.izFM7w2wqY7RlSLb5zDGPoZ2kcR7FE35sCRZwVPHOfrI9zOixe
 FjkEfu9DYSoDcpKARUX.Gc9RS8KoaeEimRArOKTDfMAloZKBpmfEwlyhzFtpoVHVyg0Rio2KFw82
 C5gI069EC8DEAaPEnAvQXkpM4i0JCxir31DDw7mxTz_jEtdJocouP.2HXBuL8_DSy3KLRj0hajlh
 VC8o._fR5h2O.lrddXX0a64Kr4U8bS3AHTGjNh4uIMDEfFr6mBkfvxFP1rLcXpnoinbk6qXguP4s
 hHXU1Wi5ohClLtpblbEZ2GiDqgsTgoyor05plvLSb6IpdBPBx5LnruM_B9MMv7YcTLwkubqfNuKK
 CIpOaaNrCLb.7pHJ.FR_MSZCfr8hMwt7eWEB7vGxuRpDP39hNVtAI71ShDPQMpAcuetAnlYtjB.b
 sQUxws7kon2.Xtwo37QNnqoK2uygq1Ama9DcBZUFScZYCmaKGdna3MHPQjHBd5gdD1coS6s7KfgP
 uPxh4CVutBTAJpgaJBd8ylGGkATYdDh7GRCwrU7icZJ6dLam7hRY9E.cAM7rTqBQbfsV2whVyBCg
 HWkRgCajULWRp5wO75m1HNljhPdtV7CFTC7w2AHC_6sVsIFYcTgtZD4c6D2WPgksvqVndwOe4kOD
 5_tBb9.4zpzsB_kS5XTtI80943XNhPzl27QxCRd2cGTU3xlk5ZYIdNCrWBQxVpoiqJSpEWeD63Fm
 tq3Q.FbB7rmUEYKvPrVkKuP2bqqCqeMZc4aRZfQ0CV36U5sNWa1rp05qEpGjeXm4tEoa6J52SAED
 FPDkTaRHRoMhj6Vl4ZumiwdpdlGK6W8UJ3kHLtWIsbgBtAXPkYw4DIn_l2bW1JHBRMFLNtVxP0iw
 HKJZe6ifZml22IKYXUcVpjj5SW8oiG67tl8MlAzHTbVYwy5wLOiH0iQtZQtkkhKZxJnI_93To.t3
 _BB6JpHIE3Ms8PH8gpzoOId4gC.ULc8Bpu75m_j81CYP_HgCgVQQM4.Px1ncyupFZcW1nlxLrMew
 gu1RL9EHfgNOSGm0i5LUuvoDk8cKNKEoZHQL7mTncLYTGMaIHrv1naO1qJ053vxejoB.i1m1uE0g
 Bxeoo9JMpzHY0UOnuw0zAz4Yc1r2USEClzqUqlk9mNWWHhGqvun24A2wgIpNJplskHBSEAaovRV1
 IQDe86we9aTI5VYhBVB7iUfTmDjkdC90oc1gxaS_Cy01AoFXLPVctmdLlNc6o6KT0aXS3GHNkHzB
 1dFdvNmJoAdKA2q95fS2j3Cn6ONggQmkY_jhtfJaDhsl8jaAZjWRiTmYAlTwqZPikGMHN58L..Jy
 98_mhk2770DOXI_7WyAUHgvgtvJI4INz8yyL23UhO4BhrHRLWWH2XHe9uwpTNrLCbJyUnJ12SvTj
 7PfoIko5xlqdIiIPwgBW14SpFEQ2p0F0SsW8ir8oMYHMfAsV_safNBV8NSoZ0.HiHcQSpuOfdLQF
 DsdEy.2jU3YhRcq2wa3pa7bSPGJ_BQwdVFeq4DIjdWOl2Du1nQ7qBx8PtUgXLTcLQU7RnMZOf9N1
 03MLplwUPJZDCNE9di6.3Syqsv9om5MmyKPlTG.pKO76AdlLT7GwjgIY97Lb4PVS9K3GzfHPLER.
 5xV.rm1boLARyGQBuJnXr8qahJd7z72gmk_DCrmYcnwjL4KTCtMeQW.n3w..hBk4z3MzgEKtMVle
 9BK3dVicWwq__Lq4u6UNG.5wuw4XH3sW3sEwROLM_0eWTcisdxdk7oXnZhIo6Q_oNHdtsODUzhBN
 zmBCAMcbtBH1Hd3yP97Bii6Era0aVY1APZ.VZzQDPL0D4v4oHZBqUkLHsh8ZHEsVr9iozEe7Nh8A
 .X65EoZWgBhGLxM.RCbt6HiKvoHREErxrIO9_MmQDpRxezuGGVN2bRvXLJaM2eA--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Mon, 8 Nov 2021 00:32:45 +0000
Received: by kubenode510.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 109b2f94bafd23bc8bf523cd809bbe5a; 
 Mon, 08 Nov 2021 00:32:40 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
 <835yt3962f.fsf@HIDDEN> <864k8nrf5l.fsf@HIDDEN>
 <831r3r95bs.fsf@HIDDEN> <86r1brpwh3.fsf@HIDDEN>
Date: Mon, 08 Nov 2021 08:32:36 +0800
In-Reply-To: <86r1brpwh3.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 07 Nov 2021 22:00:24 +0200")
Message-ID: <871r3rtrkr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19266
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 466
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51648
Cc: Eli Zaretskii <eliz@HIDDEN>, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

>> Well, the request was to allow customization of the image on the tabs,
>> so maybe have just the image(s) customizable?
>
> I don't know, let's wait for Po Lu to clarify what people want to customize.
> Just a file name of an image file as a string?

People generally want to customize the image, and perhaps the scale of
that image.

But I see no harm in letting people customize the whole string, if he
wants to.

Thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 20:01:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 15:01:11 2021
Received: from localhost ([127.0.0.1]:54897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjoLn-0001kj-B5
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 15:01:11 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:46693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mjoLl-0001kX-Aw
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 15:01:10 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 3C8CA60006;
 Sun,  7 Nov 2021 20:01:01 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
Organization: LINKOV.NET
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
 <835yt3962f.fsf@HIDDEN> <864k8nrf5l.fsf@HIDDEN>
 <831r3r95bs.fsf@HIDDEN>
Date: Sun, 07 Nov 2021 22:00:24 +0200
In-Reply-To: <831r3r95bs.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 07 Nov
 2021 20:41:11 +0200")
Message-ID: <86r1brpwh3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51648
Cc: luangruo@HIDDEN, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> >>   (setq tab-bar-close-button (propertize " x" 'display (propertize "✕" 'face 'tab-bar-tab-inactive) 'close-tab t))
>> >>   (setq tab-bar-new-button (propertize " + " 'display (propertize "➕" 'face 'tab-bar-tab)))
>> >
>> > I thought there were some defcustom's for that, but they weren't
>> > easily discoverable by browsing the tab-bar customization group.  But
>> > if you didn't intend to let users customize those, it's up to you.
>> 
>> The problem is that I don't know how it's possible to customize
>> a string with text properties on it.
>
> Well, the request was to allow customization of the image on the tabs,
> so maybe have just the image(s) customizable?

I don't know, let's wait for Po Lu to clarify what people want to customize.
Just a file name of an image file as a string?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 18:41:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 13:41:29 2021
Received: from localhost ([127.0.0.1]:54717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjn6f-00083J-JP
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 13:41:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjn6e-000835-OI
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 13:41:29 -0500
Received: from [2001:470:142:3::e] (port=52824 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjn6Y-0007Di-U8; Sun, 07 Nov 2021 13:41:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=5m76f6pUEch6APB+xH7HfHknrJxpB7wsepo4eoSEAKc=; b=rdaJEpEro+LV1fuDIEhR
 XLJDm/7oItA6JC+IBr+FwsTrnV+axuN34G+1XQb9OnG50cpY9gYRJkcRie2eMhoXSSf4IZcZBjwT0
 LZ7yg0gqnxWwiKLZ7wpxmXY4+zLYK1Y9DZejGIfAh5KXzI7QoAZLWsprF2grSyHmL1B7OLCwTEHtT
 YBBUOYr5c23hhDTx2ZpgBBZFaxUhRK8ZgtemtBI3zszz6jhMoryb/awIlTGMgW3E8ldtVKaxB/RSW
 YPaS3TR879x9PFN8AIW1Xh6bzofVj0i2J604UwRC2xexG2QrQCsxy7az1JVuTRzHYsbOpaeoqAhGq
 CJWCBG/8f9wIpg==;
Received: from [87.69.77.57] (port=3778 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjn6Y-0002Lp-G8; Sun, 07 Nov 2021 13:41:22 -0500
Date: Sun, 07 Nov 2021 20:41:11 +0200
Message-Id: <831r3r95bs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <864k8nrf5l.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 07 Nov 2021 20:31:34 +0200)
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
 <835yt3962f.fsf@HIDDEN> <864k8nrf5l.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51648
Cc: luangruo@HIDDEN, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: luangruo@HIDDEN,  51648 <at> debbugs.gnu.org
> Date: Sun, 07 Nov 2021 20:31:34 +0200
> 
> >>   (setq tab-bar-close-button (propertize " x" 'display (propertize "✕" 'face 'tab-bar-tab-inactive) 'close-tab t))
> >>   (setq tab-bar-new-button (propertize " + " 'display (propertize "➕" 'face 'tab-bar-tab)))
> >
> > I thought there were some defcustom's for that, but they weren't
> > easily discoverable by browsing the tab-bar customization group.  But
> > if you didn't intend to let users customize those, it's up to you.
> 
> The problem is that I don't know how it's possible to customize
> a string with text properties on it.

Well, the request was to allow customization of the image on the tabs,
so maybe have just the image(s) customizable?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 18:32:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 13:32:18 2021
Received: from localhost ([127.0.0.1]:54704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjmxm-0007pC-0G
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 13:32:18 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:53689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mjmxj-0007oy-Ut
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 13:32:16 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 5AB5B60007;
 Sun,  7 Nov 2021 18:32:07 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
Organization: LINKOV.NET
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
 <835yt3962f.fsf@HIDDEN>
Date: Sun, 07 Nov 2021 20:31:34 +0200
In-Reply-To: <835yt3962f.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 07 Nov
 2021 20:25:12 +0200")
Message-ID: <864k8nrf5l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51648
Cc: luangruo@HIDDEN, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>   (setq tab-bar-close-button (propertize " x" 'display (propertize "✕" 'face 'tab-bar-tab-inactive) 'close-tab t))
>>   (setq tab-bar-new-button (propertize " + " 'display (propertize "➕" 'face 'tab-bar-tab)))
>
> I thought there were some defcustom's for that, but they weren't
> easily discoverable by browsing the tab-bar customization group.  But
> if you didn't intend to let users customize those, it's up to you.

The problem is that I don't know how it's possible to customize
a string with text properties on it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 18:25:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 13:25:33 2021
Received: from localhost ([127.0.0.1]:54684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjmrF-0007dM-CE
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 13:25:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjmrD-0007dA-F5
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 13:25:32 -0500
Received: from [2001:470:142:3::e] (port=52398 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjmr7-0004NE-Ip; Sun, 07 Nov 2021 13:25:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=YxFuxmKR1+Pv4pZTPfOt8keyNkA+cNWOoH50gzfLlzY=; b=FEgdf1MapcxggpU/Ooco
 1L/1G8QtzBWBMch+/5NuuisvDKOljZYJ20TBsxSbcZ/AM49VPSa+rWin2sw5AgTz95Qcjv43gpVXD
 ixf5pLYFw97xOjDDwkvO+k0PopBYngnRh60UV6dRiPVms2g2yKQlGpwbO17F6dQ/7gYpt8z462sQD
 hUTp8qEBDJLqs6RDFG6MWCbETIi2e+qmAu2HESv4lFVMGV19r6DTOlMdljyo15JEmiZwtLIYZAnMd
 nisaBEW4qbic8vvF2OfkMnWW5MkWo2By3osAm43wkw+nn6u2/b9l3pIHsboUWHvPgD4OpJWiVzaRN
 HFR88Zvu7kxvxQ==;
Received: from [87.69.77.57] (port=2774 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjmr7-0001Ab-4S; Sun, 07 Nov 2021 13:25:25 -0500
Date: Sun, 07 Nov 2021 20:25:12 +0200
Message-Id: <835yt3962f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86h7cogg2d.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 07 Nov 2021 19:37:22 +0200)
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN> <86h7cogg2d.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51648
Cc: luangruo@HIDDEN, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Po Lu <luangruo@HIDDEN>,  51648 <at> debbugs.gnu.org
> Date: Sun, 07 Nov 2021 19:37:22 +0200
> 
> >> > What should be possible is to find the customization by browsing the
> >> > tab-bar Custom group.  If that is not currently possible (I didn't
> >> > check), then we should probably do something to fix that.
> >>
> >> It isn't, FWIW.  Thanks.
> >
> > Juri, can we please fix this?  Thanks.
> 
> Please specify to what extent it should be customizable.
> 
> Currently configuration of these buttons is possible with e.g.
> 
>   (setq tab-bar-close-button
>         (propertize " x"
>                     'display
>                     `(image :type svg
>                             :file "checkbox-mixed.svg"
>                             :margin ,tab-bar-button-margin
>                             :ascent center)
>                     'close-tab t
>                     :help "Click to close tab"))
> 
>   (setq tab-bar-new-button
>         (propertize " + "
>                     'display
>                     `(image :type svg
>                             :file "checked.svg"
>                             :margin ,tab-bar-button-margin
>                             :ascent center)
>                     :help "Click to add tab"))
> 
> that uses SVG images.  Also it's possible to use Unicode chars with
> 
>   (setq tab-bar-close-button (propertize " x" 'display (propertize "✕" 'face 'tab-bar-tab-inactive) 'close-tab t))
>   (setq tab-bar-new-button (propertize " + " 'display (propertize "➕" 'face 'tab-bar-tab)))

I thought there were some defcustom's for that, but they weren't
easily discoverable by browsing the tab-bar customization group.  But
if you didn't intend to let users customize those, it's up to you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 17:47:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 12:47:36 2021
Received: from localhost ([127.0.0.1]:54625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjmGW-0006fc-Nr
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 12:47:36 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:38173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mjmGV-0006eb-DY
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 12:47:35 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 448CC2000A;
 Sun,  7 Nov 2021 17:47:27 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
Organization: LINKOV.NET
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN>
Date: Sun, 07 Nov 2021 19:37:22 +0200
In-Reply-To: <83a6ig9zxc.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 07 Nov
 2021 09:40:15 +0200")
Message-ID: <86h7cogg2d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51648
Cc: Po Lu <luangruo@HIDDEN>, 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> > What should be possible is to find the customization by browsing the
>> > tab-bar Custom group.  If that is not currently possible (I didn't
>> > check), then we should probably do something to fix that.
>>
>> It isn't, FWIW.  Thanks.
>
> Juri, can we please fix this?  Thanks.

Please specify to what extent it should be customizable.

Currently configuration of these buttons is possible with e.g.

  (setq tab-bar-close-button
        (propertize " x"
                    'display
                    `(image :type svg
                            :file "checkbox-mixed.svg"
                            :margin ,tab-bar-button-margin
                            :ascent center)
                    'close-tab t
                    :help "Click to close tab"))

  (setq tab-bar-new-button
        (propertize " + "
                    'display
                    `(image :type svg
                            :file "checked.svg"
                            :margin ,tab-bar-button-margin
                            :ascent center)
                    :help "Click to add tab"))

that uses SVG images.  Also it's possible to use Unicode chars with

  (setq tab-bar-close-button (propertize " x" 'display (propertize "✕" 'face 'tab-bar-tab-inactive) 'close-tab t))
  (setq tab-bar-new-button (propertize " + " 'display (propertize "➕" 'face 'tab-bar-tab)))

So I'd simply add such examples to the docstrings of these variables
for emacs-28.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 08:05:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 03:05:33 2021
Received: from localhost ([127.0.0.1]:51701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjdBF-0007Z3-ED
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 03:05:33 -0500
Received: from sonic305-20.consmr.mail.ne1.yahoo.com ([66.163.185.146]:34652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mjdBE-0007Yp-EO
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 03:05:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636272327; bh=1y1Uz6HPw7Uc2+oFUJFcUuI2yJXg9cOxfyHJvKthO7E=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=fZ3LeJZunyfiMqLCPFZm+Do1JZ29eulGk7i/dlNZivlidMBl8fiGKmqwmN0kxKvfrnkPu/ORI0BqwRAwDbgx33W5APP+GKifF51Ge2Sx0MGvqy6eDXNv1GlMUkjbr23UfbF3tfYKB0XhPeLCWbgu4LVRRVvbOtelwQQ7q2ghAK0huKpR6hq/zYwxjsNFB6ULapuOunRvr8Z7TPYIa21dNTQVLSxDqxM1ha59XHMijPD2KNc8ipxpWnCIPN5CibCxsBTM6Ku+PAcQYlldtyNS/h+S0M2XHJw0O2hR/QCMBtSLcC7xt8jwQtN23EaPO/r1Io3+9KAqBJOO+E6GamrQdQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636272327; bh=rOB+mUypBzNhIRmSdO6QDZR2zYlwhTbRYj5ovJ1mGw7=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=UM2b1qCRoWfWZdm4BlZ2sabj3CNor/qO2M9aztEOEuUIVzipDVGxYctS46fE+9iWQQmXpRt9Y1kvKnKKHsu4gKpc1RH71gNZu6Sw/ZRd/YR524eff3RgqGm64G7eUZo5GCI3oKsCT0RfNsUbux/kIRd5fPlb0Et0kJ+xvQO48IPqLzjVgt1NJnYPmZN2vPiZKhYZhOFV3YZKyv91o+QtyuoKpy87BiQwdb7aPTnBR2KeYKjZ8t7oFqbJBg1qBT1XcQo05joA/1cRvlnlmFnFvB0I1PCtvcBWYLiWHSd2qKYl8F6voAXi/NCdhdyM367Z9RvUWOY8w0YF98p7Wa95gg==
X-YMail-OSG: .3veZGsVM1m6WUPtKm8Q6o99sxMlkgSjVpjXlJUXag7ikQSF161Sy2snlDeE2Jd
 lxFY_ebx8WqBAVfDicjBWePzvWRHbgrAp4j.twVM97FEfexUG0yqcl5ly4z1UrJFuOpiFXcnu0CF
 k.iDRdtP4_l8Wz3WFyFvvQmFlbKUHkwJgLIWOIGtbGTVqFjl0D3anCx9FblSD7LApBd9Xtn3zQSf
 wSQFrka6zo1.9Pb__g8X4Man_Br0x8VlK1q0Xvt5Hp5L6IRhuWnausFEZ6hUwY5aXiFO.f5uOouu
 lKUzQ4oQBSrm7WD3uiF1vbAJ_3_fJ_X5YdyY8FHL1WRr7qrhSCp2e.hCoL91RjzJjLKXw64sdgHC
 Rg1S6yK.nzBci89j5606Fn9DaP.v5k8p7j9rLxrTmG9x9Q.ac2r8tJBVj1DHNR.Udhpr.LDcmsK_
 pU1p3KMhHQRfWgre5ExPE2Xr_.uv13Lit.vPBPtvUfs_ygUvJ1fvOEGxla8pPhHQ3QrHVHbNGG4F
 FvRNj0SlhQVMtkCwF5az64Jug0rNzza8Tnj5SQF_iU5po.RGdHn1UOnSJpDD7YIfFiZWIZgbpKZR
 5G61.49p_IP2gx592F7vtXr5PeErX8O8iuTPs4hptsZRkA7SlYi.a.1Nwwr4WvhC44uQkAq3PdUA
 CWv1zgcGhCxmlKWr4EX8KgRb2c1SxxBRFOrFIY9bx_WOZ23pnUIecJZk5vSCwUv8BIYpNhRMTs6x
 GY5zjUHqxv5vQYZyBGNz3zLUYDKP9.O5eqkDC2LNtfwVFFEM9fwNGy3wkI1fvrP.5HgOyF.DG5Og
 KUrqOodMRfsWQNG75vwEI9GhCwg.PwQWy5LaZo9Be7EbJcrl1YctP12lQjVeZ81W2hdpn9zHEb4T
 Wi2tXoMX6QWAHzqpD1bj5uDEqamT567AAozYZ_.XT2XV.r7aQ2Sm_aG0xwK1jVrxI2nWcJq9hsDp
 Y9nKxQcZ8PJERnui1IuT_MJFb6f.D86885SUrjFcqmBCycpcVT7mfnI33DdoO8qfnj7MF61QHt3z
 El2aXJsxQ55x74G3usK1I3ZmsjBDgnrT8m3xZwnBda0s8aXaVuHvdqt9o9J2CNNMZReFn4GLprEo
 XV0_0s8hB7Z6VaZPPhzFu56IvbW7OyiI6_t1pWiLDCcTTfUdO0_ZEjjWDNDkwmo4Un.szHa5Oizu
 pm0dQhOoOWddm8fRrpCeZP_rzF9l9.srg4ppH8aAnfnGKGzJrmeiRGLvTc64iD.7PiZK9_bmpDC3
 kSpNCvZ8Hu5ADr9Mz0M41GB8nyvWJ8_LMdXdyjVCwcpLs7L2n5Z6dsAkNH7Orb_3Df_glXzpYBKz
 ZtegPV0AVgk2.UnInZ2uRhjWJvFg7mBsnIOx8C9PM67aI.4V6bvomN0eXFwssAcMgagmm7TcGFRY
 vt9blzxaJLqIY1EwMcy_9zrEIFvnp4yftbDvM7eRYpBzto6M59ZqSApOTL8ajeZhSo03DFRlbQg4
 3L0bAPVT18UOJ_fBW50FY297U3bMss1VRF9202UPe2GDIvv.y5rU1XPf7xXbQ1ssp1f6JOIUQjUG
 sAt.bgr_.dV2b8LALBhd7Y.wQeFpqNGdD_zXq92z0hUDE_NFryfLwEMoxja..sjCxWXz7JAnCgsp
 rm9WeIOVs3LA5O1Hk4niYNOg_wowvtsPbyX8IAeR0xUaZdUP0aJCGsYjcKJJ1P0NtjxDlFxzDDHG
 WKNvoAA_raKXsSl2zJojFOhfSWzXd1HiPXJxPjOWbMqSiOCLk.gDB2DKFZyKiD_1j7dgbu1xTlVS
 zLsUl9j3FUWaoRAJy3k2zQi0vADLGoKc30Y.sqWQoZ5_gILj9.BhfzzydUxVhArLtS2Czgs.l085
 a.zoHIqvisHQ7VVJWVn3_nwATi1M61hyUOf60wQ.TkFDnN8JTMnFClqYgbfjQ09kmka2DNcNwAeo
 _MvmijHQRvxS0rQ.bueMEWR4ARp1TdqX9Q3h_Ez5waD8g7xloLlCa8HhDulthl_JM3p34Cz.GVnP
 2mmF4IRz9Z6MgkXShp4.zxNl3UNsMfYaiZpLjXjDyqxQbcpCcqVfqB7OcLwom6wc1Lq2Uil.j2u.
 zKLBoz4OLuVVm4Gs1bSu1x9yaR7arxpeqtLqCFji6k_Erm_wOOMK42ZOzifRhT1NVEbQaDonJQkF
 UQ61XtToRCskS6kFOfRULoWR6TqeN3PVA8HzZPPuNYOqLQ2FcqaayShzHBS9yHUp.VmnkZuMoVqp
 lp.9yoWMPxD5b_4EYmwKINvcWwJR64PO1jauQCufY7IONttmqClakTv1AN6b0
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic305.consmr.mail.ne1.yahoo.com with HTTP; Sun, 7 Nov 2021 08:05:27 +0000
Received: by kubenode504.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 3e5c8c6e805680eb331a0bbaf55efa47; 
 Sun, 07 Nov 2021 08:05:22 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
 <83a6ig9zxc.fsf@HIDDEN>
Date: Sun, 07 Nov 2021 16:05:18 +0800
In-Reply-To: <83a6ig9zxc.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 07 Nov
 2021 09:40:15 +0200")
Message-ID: <87tugov1a9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19266
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 338
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51648
Cc: 51648 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Decisions about additions to the manual should not be taken too
> easily, because the manual is printed and sold by the FSF, and any
> addition to it makes the production of the manual more expensive.

This is a detail I didn't take into account when making my request,
thanks for pointing it out.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 07:40:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 02:40:37 2021
Received: from localhost ([127.0.0.1]:51670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjcn7-0006vS-Bc
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 02:40:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjcn5-0006vF-Bh
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 02:40:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38468)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjcmz-0006BF-85; Sun, 07 Nov 2021 02:40:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=iecTZdzNDybkMOF6I+ip3P7afnrIFZyYytloX4fQwcc=; b=EJgUMm4Gtvf7
 JjvXOgoio4dFH+Wlah49K4uWJXeLVDcLcgOp8kquTR9Sw0pxPK1Ly11e2NRRsyTq8dX9NyjyG+8Xs
 vXBQGEVs1KDfm+qRBFnRTq+zHaI8gtjGLFDqaJ8z8PYfJYU2IJY2utT61Zn2fOrdiwZ8vvbNnOSqD
 aKArxfIySQTwmjJ3VGdL6RpXFV1A+Gjzen0M9M+k3YtmTKbRPlYMjWX4/QeF2Q19WDC6hWNjFxfrj
 2NdGr2MYk/+R+CgrRXE1/ZVMP2c0nJRyFGV3rxUZxg6F+Uof91fW2yKEhxQVZlSaWaIpiDS5qgtTI
 pUMz1rnVmIMxksDMtskhWw==;
Received: from [87.69.77.57] (port=2412 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjcmy-0006uZ-Nw; Sun, 07 Nov 2021 02:40:29 -0500
Date: Sun, 07 Nov 2021 09:40:15 +0200
Message-Id: <83a6ig9zxc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>, Juri Linkov <juri@HIDDEN>
In-Reply-To: <878ry0whrm.fsf@HIDDEN> (message from Po Lu on Sun, 07 Nov
 2021 15:23:57 +0800)
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN> <878ry0whrm.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51648
Cc: 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 51648 <at> debbugs.gnu.org
> Date: Sun, 07 Nov 2021 15:23:57 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Shouldn't such an important customization be documented somewhere in the
> >> manual?
> >
> > No, not necessarily.  The manual is not supposed to document all the
> > customizations we have, only the important ones.
> 
> Note that I said it was important.

I don't necessarily agree that it is important enough to be in the
manual.

> FWIW, Two people asked me how to change the image used for those buttons
> today.  (In one instance, right after introducing him to the tab bar --
> it seems to be a customization people commonly wish to make.)

Two people asking doesn't mean it's a common customization, and it is
too early to make those decisions anyway, as the feature is barely out
there.  Decisions about additions to the manual should not be taken
too easily, because the manual is printed and sold by the FSF, and any
addition to it makes the production of the manual more expensive.

> > What should be possible is to find the customization by browsing the
> > tab-bar Custom group.  If that is not currently possible (I didn't
> > check), then we should probably do something to fix that.
> 
> It isn't, FWIW.  Thanks.

Juri, can we please fix this?  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 07:24:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 02:24:12 2021
Received: from localhost ([127.0.0.1]:51649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjcXE-0006WN-6I
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 02:24:12 -0500
Received: from sonic304-20.consmr.mail.ne1.yahoo.com ([66.163.191.146]:36999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mjcXC-0006WA-1S
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 02:24:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636269844; bh=CeGwhXS7ARr92idSoZrakbMq2C9oSsvu0I7hVs4ovOA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=R8JYjmAEnt3KqkyEDBBxXInFq+K5XIN2wwfhWwPJcIt26YHg2rHME0WFym7QYIhGfjJLuXzd6NpcU2tMlt8RUf515TEyg3PAtklRA6C1onqJxPwyzRQLaHXMrMWCP5eAm/gh+7A5xQc0CmMj6hd5sEJGjmJWKkAGHmpvXb7lyQAlzubsAw9Kkg5C3+kPm8exEvlCOLvAkRKfUHIjck7uOveJ6LQMKQz3lvW61imEFxKR6dQfZ6se1Euiacg3w2aCWmsARhX0/qEuSlD1B0tg2BO1AZetObzhQsyVxKpUtjNNEnEOEEu/7QHuCvWLFUlrz5F2i3TmUhe8EPlwbAALeQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636269844; bh=wvU89LX++tUGfBiIkgBfRZzOMbygRDrlAOVGH0+XOK3=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=LqsxY47jRNOTK8MF7QU4VqtbWz1rGL84eow3WyzLGP5qvY2t1gwlEyPpIjZMZ33lIr1Ysy1Y0A15vCWoDoMaw1budstJpCl1+2E/spDIFtaUS40EzgPVz9cEE/npb3Fm5neZB4GxCQxTeFm+4NIAVJA48YbMBF6+1EpQES2PYt4aKgTPomy6/2J3UZFRaIx/gSDZQQCCffx3F/x4aNYDSP8MNKmTYrWip1JUGctzZ+2Mypqa1Di34hxeJe3aXdtSSItAgGgzJGTb6iEb2D/egMpMztuuEVsN/Hcn309k29U9ns/dd8VZOVmFk0DFqWajnIC6x/N6ETPCIQ1cJFdnzg==
X-YMail-OSG: E.UETu0VM1npc.F2mfPC1AJW53zWTkwcVwVtIiw.E2Hf0tLgyGeTquJxBrHiDxv
 mHVGXq3yREaepyp_1a1J3_fJjpTRfv669P9fdK1HSsBbxtsLMH03vlso_Ggxq4NjB253M3cTuxfb
 4ubXBeMq0YN7PNf3CS46yLQESUTFB71zMwWTiOS9NIT3hRS7EvQ.77OAdmXGJwEJCcP1RpyM9aSp
 6d7IlsLLp5W2f1Qw3CLwHyV9QpfmYH6XkCB7bP6Z3uycnvbUdKHJ.FHygAL4w0waHW7d7DQZ5aV6
 jX7ZuMPQ2uK04An1gzAJ_W08s_BaQz0T0PHXvNCRTLw2UJzcEv2HUB9ZC0lsJmcw22eHiA_DteMT
 Lt2v4aH0z3lh9TYGTfoCWeL8VYP0Y3IKmw4oJq931CNBG8fkyQF7Z.JHJJv3HwNAkOz1M6Obprn8
 s_8JdzLjLHlO1lFmsNiVdbGwVWzSfQHAtdm8TUxAsfTe1ZogX9NbD35LVs53CQBfRAft6IPAzuGX
 YRcPB2ZlGWmRTlIKLskvhlH_l9XuwTBS1S4a0BWQAzf3Ql5C_WUgzXm4M5vFVCFD2YmMG9hPLjXc
 eag7KoSSni8z.6T9h6L.NntgfhanyU7VEWp1f6jlHI6cQLGWGOPXnDGssKhN2QlMHUw32l2PftOt
 KLvyzD_OxyYhpUPNM0qAp4Jk2JGjyXIS.JpcN.nQPzp3_26rIfY4UO59M0T3NIQKY2uRRZ1dnd3G
 ojBJ89z6OjlsdSxywvEqThbPeBLtYV5xsQ_jyuSf2OnLYLt5T5PVcUVp3t3UyXOLRF6ujAYYJl8E
 0VzSA.XnrNYC4O31C_kGqUqkoZdpSXyXFlF1Wo8UnmmLaNfiv7QyQ9jgKLuIILnUqP89oiZr.kmZ
 HWBWbmstsWOCPTBCmu08bMB1ezLzcTCp3UeOEcz7KUJCRK7vDe68f6yLBhqEx5rdPyQTSyNoz_g6
 G8wptCxH1uPvh0ZfZJiLxD.wdA6QE_1ZMWBbz0FqPVV96KRTc3YjH8_VDKW3UjkvWWwkOj6o_9ar
 4_aA.0e68Db1uvXH2ptsl9cUUfc1FATGbBsbPkmFJDmhFAF3a_d_tWdpPv0yu3xefMM8FCwmEYVu
 2HuZfwLJBca7BjxxYr9FnvM5BIqfOe.ZhuL4JmS.QgBaXbzspgMpPc9basndlZtq3LAyVcufDQUQ
 kUr2TwHEqm5PDMShH2FEUYlzKA6UPxyxcgRJBAY0UpxiAA1R40EnPQg930VBTG7P_xQY2YgTIRrI
 8EN6el7UqrQSZpXjOCmQQ_4aSCGWb_3086tJZUDt_QwfEofkQRY9Q0HDC0bgGqQie96obR66PfXQ
 osSjxcvcq.Qn5XWcwnZ_2mvFnmvlGr3s6l.Ow.CjD_7lmVuYJ.SXDujh6XetdEIgkwb9ksngbsYd
 TRyLzcJjoYzmFsfsRG33MY.m7cHO.tvPsCy4DmnST4chmATeVYBN2RzFBPfMrfuKAhdTJFhGv8hv
 xMQ4SeQL9kGCRIn86I4TvtSMR8W2yPijtfRUsVKPJyy7XHgBYkym.X8muRn7ikWDontrsXBqtyMm
 i3mEe0TA2DAOkHl.OtgTkhSGTX2nKyoOkueq8E9E6O9Ksb120gG8tQ5cGK2R7rrhOZQHqKE_ayrr
 4MBR6oRX_4tmwZ81pOCmVB20cKGtxKfqYihGuTIhaMB_3dLmOfZ5sai0M96cQnxu5idyuELyUJWK
 TpS7_WdH7vd4HBiGXWu54asvkjjnhOjjYs91O8wZZzvZMpqFPlJL8gIVuQVUhoIggWHDWkEPsZQ8
 3TpvotyGpzsSURGCb.pKhmp0CELguWTEhyS_OeEfNy0_1xTlzyYjXVTIglM84ZrVfOhef1Oks.bP
 dO2DG2.8LhBy75vOKMfJQz.aB3qztMqV_a.NfuYlb8.qdAjMjE_8hxO2Nr.OPGlfUJLKL7adBDJu
 YveUmLwgHiQT09tFrWzt.rFH1E._j6dIE9Ea3JMVsQO8jsCLRllEf4CAeKcZsq3M7tTGQ.N5Gm9y
 05k7Sowdgd0BmCISjXsJ16FR3I9wUg9TpIvUjTlxuTn6uF_2xjqXK47oIvdvnva8HRud3AI3ZWAQ
 PaKB.z5h.4NUuTEss8OGK0qUDmBniuO01HLUl6aKYpPP1Ja5f52m6kC3p1U1jH_80S9hfpGEcxeR
 AzWosUe3yE8ncixMx.9aZejMjnyLlbCnjJVvZkQnaslixMTnSJ8il1PSawBiX1o9C3w7kMhB3.PF
 USxcvDLSQ5a9rAAzSmTu1P9KZqMRf.5WRx.0gvIfO7G5kFd8X2guStnEuS6g-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ne1.yahoo.com with HTTP; Sun, 7 Nov 2021 07:24:04 +0000
Received: by kubenode502.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 26605a025a4a536cf960790c3f3f7864; 
 Sun, 07 Nov 2021 07:24:01 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51648: 28.0.60; `tab-bar-close-button' and
 `tab-bar-new-button' should be documented in the manual
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
 <83ee7sa17b.fsf@HIDDEN>
Date: Sun, 07 Nov 2021 15:23:57 +0800
In-Reply-To: <83ee7sa17b.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 07 Nov
 2021 09:12:40 +0200")
Message-ID: <878ry0whrm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19266
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 969
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51648
Cc: 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I wanted to find out how to customize the image used for tab bar
>> buttons, but could not find anything in the manual.
>> 
>> It seems that setting the display property of `tab-bar-close-button' and
>> `tab-bar-new-button' is the way to go.
>> 
>> Shouldn't such an important customization be documented somewhere in the
>> manual?
>
> No, not necessarily.  The manual is not supposed to document all the
> customizations we have, only the important ones.

Note that I said it was important.

FWIW, Two people asked me how to change the image used for those buttons
today.  (In one instance, right after introducing him to the tab bar --
it seems to be a customization people commonly wish to make.)

> What should be possible is to find the customization by browsing the
> tab-bar Custom group.  If that is not currently possible (I didn't
> check), then we should probably do something to fix that.

It isn't, FWIW.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at 51648 <at> debbugs.gnu.org:


Received: (at 51648) by debbugs.gnu.org; 7 Nov 2021 07:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 02:13:02 2021
Received: from localhost ([127.0.0.1]:51637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjcMP-0006FW-Te
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 02:13:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjcMM-0006Ex-S5
 for 51648 <at> debbugs.gnu.org; Sun, 07 Nov 2021 02:13:00 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37992)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjcMH-0003By-Lo; Sun, 07 Nov 2021 02:12:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=NvPuOHNPAW9TLU81GHnU7+S5gOrDFIqVaqSyZn9Yl/0=; b=CAtmL5xfvSpL
 6gk1aczW466FTJDaHW4+UC7iF75XhOx87SBaAM1S6X+TszBINSGzQuWZzWQcQg2kEYCkLELHVTvuO
 rUgI5XjL/AADPlnwyGRb5QD+xNkPHf92prQ1h85NZJi+E5MBWQD2E/nKw5BtUsDtHgLeM6zIYPkrr
 rsuZvGXiyHSyoow0ONLxH+yQlr/0f/rxBBiZX4GH+QFCiYemEOkA5FBFkTUQXLWJLmRnSen96Yx5i
 P0jmYa436eJnb8bRoV4o2tuT9vjYC0i9/FhPg9xz4FciRPPysDykcYuZ93n370o2HcY9wfMTT0apS
 tIQ5oc/MCGl91jSCg4AuMA==;
Received: from [87.69.77.57] (port=4707 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjcMH-0007lQ-2e; Sun, 07 Nov 2021 02:12:53 -0500
Date: Sun, 07 Nov 2021 09:12:40 +0200
Message-Id: <83ee7sa17b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <878ry0y884.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#51648: 28.0.60;
 `tab-bar-close-button' and `tab-bar-new-button' should be documented
 in the manual
References: <878ry0y884.fsf.ref@HIDDEN> <878ry0y884.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51648
Cc: 51648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 07 Nov 2021 11:07:07 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> 
> I wanted to find out how to customize the image used for tab bar
> buttons, but could not find anything in the manual.
> 
> It seems that setting the display property of `tab-bar-close-button' and
> `tab-bar-new-button' is the way to go.
> 
> Shouldn't such an important customization be documented somewhere in the
> manual?

No, not necessarily.  The manual is not supposed to document all the
customizations we have, only the important ones.

What should be possible is to find the customization by browsing the
tab-bar Custom group.  If that is not currently possible (I didn't
check), then we should probably do something to fix that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2021 03:07:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 23:07:27 2021
Received: from localhost ([127.0.0.1]:51390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjYWl-0003qW-Jr
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 23:07:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:38242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mjYWj-0003qN-IE
 for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 23:07:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44278)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mjYWh-0002dP-Oi
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 23:07:25 -0400
Received: from sonic317-33.consmr.mail.ne1.yahoo.com ([66.163.184.44]:44842)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mjYWc-00063n-2E
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 23:07:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636254436; bh=Gh2afALWktJXb3VOtvGDjgMoWhksRgxkchtpZLLsoQE=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=VgLULOd+39wV1hiswJ1coYwMie01BMSKeNDvUX7sqkdS+RjHB8k8egN9ktNzY6bgYkd2JgGrl0kFvzDsoPM9h3CojRG+EKyLjER3u8p9r0YwOt+oOt4ZvSC/Sh8gF5Ts/nH5dMlpsZAm2eNXAKsmdK/aMhqm02d0i8eKLeczis8NRGkEAdqQayU3Y8fMvAOJp1I5TlJkm3H1leybLyjzpBduQfc0QgBfyCctwHuUM55tT3vYz//WeeIra44FhdDE5BUf3tiFQoCfccj5FcCR9qjVX8nMypXWRa+AG6gim7G+jt953yR7hT03Ko1TtbvPJZTLNWvUlMjTxjkQ465cRw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1636254436; bh=itgFtUnanqZvngZe4or7EEGJe6QNycbQGqqdhDunFHL=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Pod8HsI5B+rQiNePbAbbvOFoaUeyBcQ7AxvE5tetOmHYiWD3cGgEiAA4qEvSXsbjLooVwU5NcOPF29bwfzvm7njk8wSD5FCBG2uqvSNEF19k69OiuQc+rfDJYTT1UwQpQqbU+K8N+ZTge9l8qy0tfuYOVOU8RqTOik/uttzR9MsfUAlmIYCcnROS2Mbr118yDo3kZVgdKt44WcGadwwuzLkOD10LRPTZF4ZNTkrKeuhEBzEbdiq0K8u/GvQVWOLthjZxnf27zlL3vFlciVYeN+j8mxamhzbxZXAaGO2vApmhkqC50gjohoVeCwC64Xd08pATQgCGaZQ8BHXx3iN0ug==
X-YMail-OSG: 41lIGdMVM1lzc.JhOBC0_6Hizo0xp.5qJPMdtJ9ayqBnCOkTLJadmJZ_cuY0faR
 l8Uwl.WLLGdLprgpoEVuDrATvSXV1r5yDULnNfK.mIhfZmfJVf3QXzCSuw9lEstBajNh0eo0s.8Q
 gFECvY.JJ8dTmeT.95_f7IZEEf2snJ_pFsRnC_uXQ5vZElzO7.mSV_0McT2lw4mOnRcxbf0ty.M7
 73Wzi2L.fp6oJGuVAIAaAE5R_H7mn30IookGxx.MlmT1NPih48WTTLq22YJhSu_mK.1jzWPypztc
 5hP8zlZWGqKeZI4MkOq1nzuOfRDJZwUVlZE3a2qArVQPin57aTklM3bWr02zjXz3ehZBYWpGmeE8
 rNdmMB39Q85f6dZ1XVHbcifM3Gi2Zx5mX_El_wfUtZLpZoMYSvZ9RZhNvbd2QKRwZiXGTN2gglZI
 jk3O5ZhWBMBASLlifWHXiC7aHIHJPQaPQwFND9xsQDL1Bxuy8.t0GT1ikfym33RNy8kFC7WKlpCD
 REZTrBd7tI.iCbQcQ_34F50kUtlCF_6.vMySE8CghllDM_9QJfuh522BlOnEh8amAu7WSoFg62sS
 aaSiVRSiK6mBV1R3Es68fPQUP0Y3alNJP55hF9TBIKpPFT7CHeAT2AvfjkEBPYTYX8ruZr4CnAhv
 ykRb0U9a6OU4ZzuXaCpYFn28eAHdbAnMY4rhhGunBvyi0S1xfK99UtTOMh5cGQId9lIyN9YTbWOL
 vAWu4ctYzfeNv5Tp4K.gFPwoFj2Zeh4f7YFwL9VctahFUac2Ya2Qyvot5wWWcz3CPIHeTplH9q7c
 Jx4xNs_9yKKkzhttIYvgUrLFk9q.Cjn_pH7yIQy1j7.9DR7l_zjVL4z6ikW9QqMR6DgPsK7ddp4K
 hzNkz_jOSU6I6VP.YiKx1QjblHPJ6KIety8cpMhLAjoACj3blTsiAdkH6Gi4F4XdfCd4EyOMeqVb
 HPTGMt8c7Puug7fS6uqJGS8Qoyo6i8Jy1cDpBNkqnCrAaEVQO0yd4UoXAig3QB9GuTF1CvJ5zvHQ
 y4.HdzFjyyMLc6OkvkOFqelw5QZpZgxA0tuTVLc.rq12A9uCeTZZrLzBSeSdCkAH5MoycfvbGQBU
 g2JUxbCm1ZAjme1FPjpQbE6Q62xgjUOWco0ZSbgMHc6SJHIsSgWGBRM7ZyYpmzWq1bck5IrpkFpi
 LrBHsUL9ZvGbM5RftiimdjP2aPMz2.T_f24nq4Lq6b4.TXpzhoQ0vJXqmwKqZ.vv_u5Nniuh4HRb
 BTEiLsA4NHUVOsP3AyLYfZqQ7ggp0ZT6m_Aq8str6gJk0Zrb1x7svJa26lFoOcN1wQqbblY7y_Tn
 .D_y0WeZBJVxhoTxFqz8H2ZzcHdZ0D8tVwq2ZgoUD9EpH.YYlfgUrOCEeRzO0DtpcgCQOJTihJrC
 bK7jg3MFC4P5u2hUC8VM6LvPLfZYZkG03pptRGi4cG_ukha1QswUi.OG0dLO.GYfEIaBYSgu70P_
 skZJIuDFHkFJy4uRR_aPkD.crVCRFsx6JAwgQCFpV70XPGn2p9ypY1qzxznpx5SHSECwEx5nKSbD
 zKV8it3TNBwM5wI2JVNNg1SQARqltex91BpQDvujB8wuRF_qEFvEI_NRd2eIa2aidXrbpL2BzrJx
 gPuh.UjDxJI.253IP0Ar.eug1PyKef9TGe1U8Gl0tjTqDPG_h23iPBqEhWgUUKlK07ekc6VBtWcw
 uH2noFDiQcGg1FPdp_6pgdtSTrXfwoBLvNoyKawSsUI7NsLHFEFjXw03caFtpJ1wfj9e3vgggBl.
 05iKW7557l_Jubx3ahOTcnARWehRkq4IzDpK5b0W3gok20Bf8q91BZrLiiEoT9gmsfPqu.cZu12y
 DQfYoA83reaHYbH0ObBDUkvRuC4Uoe1wvAnmR95tU3JQErfc9tZsoCGKMFiCnshydWtKVYE9LfGB
 apSNZQtfPpXzxTpbmYeoqJ6Mpghsagu_S6.rcfksAJJSAIUqu.3a9V4b5h5kEwsuwhot6vP0UyjC
 y3zgpBsYb2UPPCb8SB6jPCMmRaAgHbbgm8RwFaODC4lQOXcDTWOkYMFabn18ryGZg2bK1Xm9jpXt
 gS6M6MJvL.yYFiEgm_1EtNyvmyVhKeuL6OfOsPNizyrbcc7B8hVw5WXIVg9boCDng_Yzi7ltxsV3
 Ux6qgBY_f1oQ8YCb6so1ZqMPA9JWvMqG2VRnGyxAbxiUy_ikk9OJRd1Jo0LLCUvUyTeK4_m_53MZ
 .fK7mutYQbkZXwvDyiqRProJcPCBymQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Sun, 7 Nov 2021 03:07:16 +0000
Received: by kubenode504.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 2eac52e41be72a113b60547ae8a7e07d; 
 Sun, 07 Nov 2021 03:07:11 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.60; `tab-bar-close-button' and `tab-bar-new-button' should be
 documented in the manual
Date: Sun, 07 Nov 2021 11:07:07 +0800
Message-ID: <878ry0y884.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <878ry0y884.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.19266
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 322
Received-SPF: pass client-ip=66.163.184.44; envelope-from=luangruo@HIDDEN;
 helo=sonic317-33.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_05=-0.5, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)


I wanted to find out how to customize the image used for tab bar
buttons, but could not find anything in the manual.

It seems that setting the display property of `tab-bar-close-button' and
`tab-bar-new-button' is the way to go.

Shouldn't such an important customization be documented somewhere in the
manual?

Thanks.




Acknowledgement sent to Po Lu <luangruo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51648; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 27 Jan 2022 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.